#
# spec file for package gnome-filesystem (Version 0.1)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           gnome-filesystem
License:        GNU General Public License (GPL)
Group:          System/Fhs
Autoreqprov:    on
Requires:       mktemp
PreReq:         coreutils
Summary:        GNOME Directory Layout
Version:        0.1
Release:        261.12
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package installs the GNOME directory structure.




%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/opt
mkdir -p $RPM_BUILD_ROOT/opt
mkdir -p $RPM_BUILD_ROOT/usr/share
mkdir -p $RPM_BUILD_ROOT/var/opt
rm -f gnome-filesystem.lst
BIARCHDIR=
%if "%_lib" != "lib"
BIARCHDIR=/opt/gnome/lib
%endif
NEXT_ATTR=
for directory in \
/etc/opt/gnome \
/etc/opt/gnome/sound \
/etc/opt/gnome/sound/events \
/opt/gnome \
/opt/gnome/%_lib \
/opt/gnome/%_lib/pkgconfig \
$BIARCHDIR \
/opt/gnome/lib/gnome-applets \
/opt/gnome/bin \
/opt/gnome/include \
/opt/gnome/sbin \
/opt/gnome/share \
/opt/gnome/share/aclocal \
/opt/gnome/share/application-registry \
/opt/gnome/share/applications \
/opt/gnome/share/autostart \
/opt/gnome/share/backgrounds \
/opt/gnome/share/backgrounds/scalable \
/opt/gnome/share/control-center \
/opt/gnome/share/control-center/capplets \
/opt/gnome/share/devhelp \
/opt/gnome/share/devhelp/books \
/opt/gnome/share/gnome \
/opt/gnome/share/gnome-2.0 \
/opt/gnome/share/gnome-2.0/ui \
/opt/gnome/share/gnome/apps \
/opt/gnome/share/gnome/apps/Settings \
/opt/gnome/share/gnome/autostart \
/opt/gnome/share/gnome/help \
/opt/gnome/share/gnome/vfolders \
/opt/gnome/share/gnome/wm-properties \
/opt/gnome/share/gtk-doc \
/opt/gnome/share/gtk-doc/html \
/opt/gnome/share/icons \
/opt/gnome/share/icons/gnome \
/opt/gnome/share/icons/GnomeCrystal \
/opt/gnome/share/idl \
%doc /opt/gnome/share/info \
/opt/gnome/share/locale \
/opt/gnome/share/locale/af \
/opt/gnome/share/locale/af/LC_MESSAGES \
/opt/gnome/share/locale/am \
/opt/gnome/share/locale/am/LC_MESSAGES \
/opt/gnome/share/locale/ang \
/opt/gnome/share/locale/ang/LC_MESSAGES \
/opt/gnome/share/locale/ar \
/opt/gnome/share/locale/ar/LC_MESSAGES \
/opt/gnome/share/locale/as \
/opt/gnome/share/locale/as/LC_MESSAGES \
/opt/gnome/share/locale/az \
/opt/gnome/share/locale/az/LC_MESSAGES \
/opt/gnome/share/locale/az_IR \
/opt/gnome/share/locale/az_IR/LC_MESSAGES \
/opt/gnome/share/locale/be \
/opt/gnome/share/locale/be/LC_MESSAGES \
/opt/gnome/share/locale/bg \
/opt/gnome/share/locale/bg/LC_MESSAGES \
/opt/gnome/share/locale/bn \
/opt/gnome/share/locale/bn/LC_MESSAGES \
/opt/gnome/share/locale/bn_IN \
/opt/gnome/share/locale/bn_IN/LC_MESSAGES \
/opt/gnome/share/locale/bo \
/opt/gnome/share/locale/bo/LC_MESSAGES \
/opt/gnome/share/locale/br \
/opt/gnome/share/locale/br/LC_MESSAGES \
/opt/gnome/share/locale/bs \
/opt/gnome/share/locale/bs/LC_MESSAGES \
/opt/gnome/share/locale/ca \
/opt/gnome/share/locale/ca/LC_MESSAGES \
/opt/gnome/share/locale/cs \
/opt/gnome/share/locale/cs/LC_MESSAGES \
/opt/gnome/share/locale/cy \
/opt/gnome/share/locale/cy/LC_MESSAGES \
/opt/gnome/share/locale/da \
/opt/gnome/share/locale/da/LC_MESSAGES \
/opt/gnome/share/locale/de \
/opt/gnome/share/locale/de/LC_MESSAGES \
/opt/gnome/share/locale/de_AT \
/opt/gnome/share/locale/de_AT/LC_MESSAGES \
/opt/gnome/share/locale/de_CH \
/opt/gnome/share/locale/de_CH/LC_MESSAGES \
/opt/gnome/share/locale/de_DE \
/opt/gnome/share/locale/de_DE/LC_MESSAGES \
/opt/gnome/share/locale/dz \
/opt/gnome/share/locale/dz/LC_MESSAGES \
/opt/gnome/share/locale/el \
/opt/gnome/share/locale/el/LC_MESSAGES \
/opt/gnome/share/locale/en \
/opt/gnome/share/locale/en/LC_MESSAGES \
/opt/gnome/share/locale/en_AU \
/opt/gnome/share/locale/en_AU/LC_MESSAGES \
/opt/gnome/share/locale/en_CA \
/opt/gnome/share/locale/en_CA/LC_MESSAGES \
/opt/gnome/share/locale/en_GB \
/opt/gnome/share/locale/en_GB/LC_MESSAGES \
/opt/gnome/share/locale/en_US \
/opt/gnome/share/locale/en_US/LC_MESSAGES \
/opt/gnome/share/locale/eo \
/opt/gnome/share/locale/eo/LC_MESSAGES \
/opt/gnome/share/locale/es \
/opt/gnome/share/locale/es/LC_MESSAGES \
/opt/gnome/share/locale/es_AR \
/opt/gnome/share/locale/es_AR/LC_MESSAGES \
/opt/gnome/share/locale/es_CO \
/opt/gnome/share/locale/es_CO/LC_MESSAGES \
/opt/gnome/share/locale/es_CR \
/opt/gnome/share/locale/es_CR/LC_MESSAGES \
/opt/gnome/share/locale/es_DO \
/opt/gnome/share/locale/es_DO/LC_MESSAGES \
/opt/gnome/share/locale/es_ES \
/opt/gnome/share/locale/es_ES/LC_MESSAGES \
/opt/gnome/share/locale/es_GT \
/opt/gnome/share/locale/es_GT/LC_MESSAGES \
/opt/gnome/share/locale/es_HN \
/opt/gnome/share/locale/es_HN/LC_MESSAGES \
/opt/gnome/share/locale/es_MX \
/opt/gnome/share/locale/es_MX/LC_MESSAGES \
/opt/gnome/share/locale/es_NI \
/opt/gnome/share/locale/es_NI/LC_MESSAGES \
/opt/gnome/share/locale/es_PA \
/opt/gnome/share/locale/es_PA/LC_MESSAGES \
/opt/gnome/share/locale/es_PE \
/opt/gnome/share/locale/es_PE/LC_MESSAGES \
/opt/gnome/share/locale/es_SV \
/opt/gnome/share/locale/es_SV/LC_MESSAGES \
/opt/gnome/share/locale/et \
/opt/gnome/share/locale/et/LC_MESSAGES \
/opt/gnome/share/locale/eu \
/opt/gnome/share/locale/eu/LC_MESSAGES \
/opt/gnome/share/locale/eu_ES \
/opt/gnome/share/locale/eu_ES/LC_MESSAGES \
/opt/gnome/share/locale/fa \
/opt/gnome/share/locale/fa/LC_MESSAGES \
/opt/gnome/share/locale/fi \
/opt/gnome/share/locale/fi/LC_MESSAGES \
/opt/gnome/share/locale/fr \
/opt/gnome/share/locale/fr/LC_MESSAGES \
/opt/gnome/share/locale/fr_CA \
/opt/gnome/share/locale/fr_CA/LC_MESSAGES \
/opt/gnome/share/locale/fr_CH \
/opt/gnome/share/locale/fr_CH/LC_MESSAGES \
/opt/gnome/share/locale/fr_FR \
/opt/gnome/share/locale/fr_FR/LC_MESSAGES \
/opt/gnome/share/locale/ga \
/opt/gnome/share/locale/ga/LC_MESSAGES \
/opt/gnome/share/locale/gd \
/opt/gnome/share/locale/gd/LC_MESSAGES \
/opt/gnome/share/locale/gl \
/opt/gnome/share/locale/gl/LC_MESSAGES \
/opt/gnome/share/locale/gn \
/opt/gnome/share/locale/gn/LC_MESSAGES \
/opt/gnome/share/locale/gr \
/opt/gnome/share/locale/gr/LC_MESSAGES \
/opt/gnome/share/locale/gu \
/opt/gnome/share/locale/gu/LC_MESSAGES \
/opt/gnome/share/locale/gv \
/opt/gnome/share/locale/gv/LC_MESSAGES \
/opt/gnome/share/locale/he \
/opt/gnome/share/locale/he/LC_MESSAGES \
/opt/gnome/share/locale/hi \
/opt/gnome/share/locale/hi/LC_MESSAGES \
/opt/gnome/share/locale/hr \
/opt/gnome/share/locale/hr/LC_MESSAGES \
/opt/gnome/share/locale/hu \
/opt/gnome/share/locale/hu/LC_MESSAGES \
/opt/gnome/share/locale/hy \
/opt/gnome/share/locale/hy/LC_MESSAGES \
/opt/gnome/share/locale/ia \
/opt/gnome/share/locale/ia/LC_MESSAGES \
/opt/gnome/share/locale/km \
/opt/gnome/share/locale/km/LC_MESSAGES \
/opt/gnome/share/locale/id \
/opt/gnome/share/locale/id/LC_MESSAGES \
/opt/gnome/share/locale/is \
/opt/gnome/share/locale/is/LC_MESSAGES \
/opt/gnome/share/locale/it \
/opt/gnome/share/locale/it/LC_MESSAGES \
/opt/gnome/share/locale/it_IT \
/opt/gnome/share/locale/it_IT/LC_MESSAGES \
/opt/gnome/share/locale/ja \
/opt/gnome/share/locale/ja/LC_MESSAGES \
/opt/gnome/share/locale/ka \
/opt/gnome/share/locale/ka/LC_MESSAGES \
/opt/gnome/share/locale/kn \
/opt/gnome/share/locale/kn/LC_MESSAGES \
/opt/gnome/share/locale/ko \
/opt/gnome/share/locale/ko/LC_MESSAGES \
/opt/gnome/share/locale/ku \
/opt/gnome/share/locale/ku/LC_MESSAGES \
/opt/gnome/share/locale/ky \
/opt/gnome/share/locale/ky/LC_MESSAGES \
/opt/gnome/share/locale/li \
/opt/gnome/share/locale/li/LC_MESSAGES \
/opt/gnome/share/locale/lo \
/opt/gnome/share/locale/lo/LC_MESSAGES \
/opt/gnome/share/locale/lt \
/opt/gnome/share/locale/lt/LC_MESSAGES \
/opt/gnome/share/locale/lv \
/opt/gnome/share/locale/lv/LC_MESSAGES \
/opt/gnome/share/locale/mg \
/opt/gnome/share/locale/mg/LC_MESSAGES \
/opt/gnome/share/locale/mi \
/opt/gnome/share/locale/mi/LC_MESSAGES \
/opt/gnome/share/locale/mk \
/opt/gnome/share/locale/mk/LC_MESSAGES \
/opt/gnome/share/locale/ml \
/opt/gnome/share/locale/ml/LC_MESSAGES \
/opt/gnome/share/locale/mn \
/opt/gnome/share/locale/mn/LC_MESSAGES \
/opt/gnome/share/locale/mr \
/opt/gnome/share/locale/mr/LC_MESSAGES \
/opt/gnome/share/locale/ms \
/opt/gnome/share/locale/ms/LC_MESSAGES \
/opt/gnome/share/locale/my_MM \
/opt/gnome/share/locale/my_MM/LC_MESSAGES \
/opt/gnome/share/locale/nb \
/opt/gnome/share/locale/nb/LC_MESSAGES \
/opt/gnome/share/locale/nb_NO \
/opt/gnome/share/locale/nb_NO/LC_MESSAGES \
/opt/gnome/share/locale/ne \
/opt/gnome/share/locale/ne/LC_MESSAGES \
/opt/gnome/share/locale/nl \
/opt/gnome/share/locale/nl/LC_MESSAGES \
/opt/gnome/share/locale/nl_BE \
/opt/gnome/share/locale/nl_BE/LC_MESSAGES \
/opt/gnome/share/locale/nl_NL \
/opt/gnome/share/locale/nl_NL/LC_MESSAGES \
/opt/gnome/share/locale/nn \
/opt/gnome/share/locale/nn/LC_MESSAGES \
/opt/gnome/share/locale/no_nb \
/opt/gnome/share/locale/no_nb/LC_MESSAGES \
/opt/gnome/share/locale/nso \
/opt/gnome/share/locale/nso/LC_MESSAGES \
/opt/gnome/share/locale/or \
/opt/gnome/share/locale/or/LC_MESSAGES \
/opt/gnome/share/locale/pa \
/opt/gnome/share/locale/pa/LC_MESSAGES \
/opt/gnome/share/locale/pl \
/opt/gnome/share/locale/pl/LC_MESSAGES \
/opt/gnome/share/locale/pl_PL \
/opt/gnome/share/locale/pl_PL/LC_MESSAGES \
/opt/gnome/share/locale/pt \
/opt/gnome/share/locale/pt/LC_MESSAGES \
/opt/gnome/share/locale/pt_BR \
/opt/gnome/share/locale/pt_BR/LC_MESSAGES \
/opt/gnome/share/locale/pt_PT \
/opt/gnome/share/locale/pt_PT/LC_MESSAGES \
/opt/gnome/share/locale/rm \
/opt/gnome/share/locale/rm/LC_MESSAGES \
/opt/gnome/share/locale/ro \
/opt/gnome/share/locale/ro/LC_MESSAGES \
/opt/gnome/share/locale/ru \
/opt/gnome/share/locale/ru/LC_MESSAGES \
/opt/gnome/share/locale/rw \
/opt/gnome/share/locale/rw/LC_MESSAGES \
/opt/gnome/share/locale/se \
/opt/gnome/share/locale/se/LC_MESSAGES \
/opt/gnome/share/locale/sk \
/opt/gnome/share/locale/sk/LC_MESSAGES \
/opt/gnome/share/locale/sl \
/opt/gnome/share/locale/sl/LC_MESSAGES \
/opt/gnome/share/locale/sp \
/opt/gnome/share/locale/sp/LC_MESSAGES \
/opt/gnome/share/locale/sq \
/opt/gnome/share/locale/sq/LC_MESSAGES \
/opt/gnome/share/locale/sr \
/opt/gnome/share/locale/sr/LC_MESSAGES \
/opt/gnome/share/locale/sr@ije \
/opt/gnome/share/locale/sr@ije/LC_MESSAGES \
/opt/gnome/share/locale/sr@Latn \
/opt/gnome/share/locale/sr@Latn/LC_MESSAGES \
/opt/gnome/share/locale/st \
/opt/gnome/share/locale/st/LC_MESSAGES \
/opt/gnome/share/locale/sv \
/opt/gnome/share/locale/sv/LC_MESSAGES \
/opt/gnome/share/locale/sv_SE \
/opt/gnome/share/locale/sv_SE/LC_MESSAGES \
/opt/gnome/share/locale/ta \
/opt/gnome/share/locale/ta/LC_MESSAGES \
/opt/gnome/share/locale/te \
/opt/gnome/share/locale/te/LC_MESSAGES \
/opt/gnome/share/locale/tg \
/opt/gnome/share/locale/tg/LC_MESSAGES \
/opt/gnome/share/locale/th \
/opt/gnome/share/locale/th/LC_MESSAGES \
/opt/gnome/share/locale/tk \
/opt/gnome/share/locale/tk/LC_MESSAGES \
/opt/gnome/share/locale/tl \
/opt/gnome/share/locale/tl/LC_MESSAGES \
/opt/gnome/share/locale/tr \
/opt/gnome/share/locale/tr/LC_MESSAGES \
/opt/gnome/share/locale/ug \
/opt/gnome/share/locale/ug/LC_MESSAGES \
/opt/gnome/share/locale/uk \
/opt/gnome/share/locale/uk/LC_MESSAGES \
/opt/gnome/share/locale/urd \
/opt/gnome/share/locale/urd/LC_MESSAGES \
/opt/gnome/share/locale/uz \
/opt/gnome/share/locale/uz/LC_MESSAGES \
/opt/gnome/share/locale/uz@Latn \
/opt/gnome/share/locale/uz@Latn/LC_MESSAGES \
/opt/gnome/share/locale/vi \
/opt/gnome/share/locale/vi/LC_MESSAGES \
/opt/gnome/share/locale/wa \
/opt/gnome/share/locale/wa/LC_MESSAGES \
/opt/gnome/share/locale/xh \
/opt/gnome/share/locale/xh/LC_MESSAGES \
/opt/gnome/share/locale/yi \
/opt/gnome/share/locale/yi/LC_MESSAGES \
/opt/gnome/share/locale/yo \
/opt/gnome/share/locale/yo/LC_MESSAGES \
/opt/gnome/share/locale/zh \
/opt/gnome/share/locale/zh/LC_MESSAGES \
/opt/gnome/share/locale/zh_CN \
/opt/gnome/share/locale/zh_CN/LC_MESSAGES \
/opt/gnome/share/locale/zh_CN.GB2312 \
/opt/gnome/share/locale/zh_CN.GB2312/LC_MESSAGES \
/opt/gnome/share/locale/zh_HK \
/opt/gnome/share/locale/zh_HK/LC_MESSAGES \
/opt/gnome/share/locale/zh_TW \
/opt/gnome/share/locale/zh_TW/LC_MESSAGES \
/opt/gnome/share/locale/zh_TW.Big5 \
/opt/gnome/share/locale/zh_TW.Big5/LC_MESSAGES \
/opt/gnome/share/locale/zu \
/opt/gnome/share/locale/zu/LC_MESSAGES \
%doc /opt/gnome/share/man \
%doc /opt/gnome/share/man/man1 \
%doc /opt/gnome/share/man/man5 \
%doc /opt/gnome/share/man/man6 \
%doc /opt/gnome/share/man/man7 \
%doc /opt/gnome/share/man/man8 \
/opt/gnome/share/mime \
/opt/gnome/share/mime/application \
/opt/gnome/share/mime/audio \
/opt/gnome/share/mime/image \
/opt/gnome/share/mime/inode \
/opt/gnome/share/mime/message \
/opt/gnome/share/mime/model \
/opt/gnome/share/mime/multipart \
/opt/gnome/share/mime/packages \
/opt/gnome/share/mime/text \
/opt/gnome/share/mime/video \
/opt/gnome/share/mime-info \
/opt/gnome/share/oaf \
/opt/gnome/share/omf \
/opt/gnome/share/pixmaps \
/opt/gnome/share/pixmaps/nautilus \
/opt/gnome/share/pkgconfig \
/opt/gnome/share/sgml \
/opt/gnome/share/sounds \
/opt/gnome/share/themes \
/var/opt/gnome \
/var/opt/gnome/cache \
; do
if test $directory = %doc ; then
NEXT_ATTR="%doc "
else
mkdir $RPM_BUILD_ROOT$directory
echo "$NEXT_ATTR%%dir $directory" >>gnome-filesystem.lst
NEXT_ATTR=
fi
done
# Define required variables.
mkdir $RPM_BUILD_ROOT/etc/profile.d
echo 'if test -z "$ACLOCAL_FLAGS" ; then
    export ACLOCAL_FLAGS="-I /opt/gnome/share/aclocal"
else
    export ACLOCAL_FLAGS="$ACLOCAL_FLAGS -I /opt/gnome/share/aclocal"
fi
if test -z "$PKG_CONFIG_PATH" ; then
    export PKG_CONFIG_PATH="/opt/gnome/%_lib/pkgconfig:/opt/gnome/share/pkgconfig"
else
    export PKG_CONFIG_PATH="$PKG_CONFIG_PATH:/opt/gnome/%_lib/pkgconfig:/opt/gnome/share/pkgconfig"
fi
if test -z "$INFOPATH" ; then
    export INFOPATH="/opt/gnome/share/info"
else
    export INFOPATH="$INFOPATH:/opt/gnome/share/info"
fi
if test -z "$GNOME2_PATH" ; then
    export GNOME2_PATH="/usr/local:/opt/gnome:/usr"
else
    export GNOME2_PATH="/usr/local:/opt/gnome:/usr:$GNOME2_PATH"
fi' > $RPM_BUILD_ROOT/etc/profile.d/gnome-filesystem.sh
echo 'if ( ${?ACLOCAL_FLAGS} ) then
    setenv ACLOCAL_FLAGS "${ACLOCAL_FLAGS} -I /opt/gnome/share/aclocal"
else
    setenv ACLOCAL_FLAGS "-I /opt/gnome/share/aclocal"
endif
if ( ${?PKG_CONFIG_PATH} ) then
    setenv PKG_CONFIG_PATH ${PKG_CONFIG_PATH}:/opt/gnome/%_lib/pkgconfig:/opt/gnome/share/pkgconfig
else
    setenv PKG_CONFIG_PATH /opt/gnome/%_lib/pkgconfig:/opt/gnome/share/pkgconfig
endif
if ( ${?INFOPATH} ) then
    setenv INFOPATH ${INFOPATH}:/opt/gnome/share/info
else
    setenv INFOPATH /opt/gnome/share/info
endif
if ( ${?GNOME2_PATH} ) then
    setenv GNOME2_PATH /usr/local:/opt/gnome:/usr:${GNOME2_PATH}
else
    setenv GNOME2_PATH /usr/local:/opt/gnome:/usr
endif' > $RPM_BUILD_ROOT/etc/profile.d/gnome-filesystem.csh
# XDG_*_DIRS is in aaa_base on new products.
# Define them, only if xdg-enviroment.sh does not define it properly.
if test -f /etc/profile.d/xdg-enviroment.sh ; then
    . /etc/profile.d/xdg-enviroment.sh
fi
if ! echo $XDG_DATA_DIRS | grep -q /opt/gnome/share ; then
    echo 'if test -z "$XDG_DATA_DIRS" ; then
    export XDG_DATA_DIRS="/usr/local/share/:/usr/share/:/etc/opt/kde3/share/:/opt/kde3/share/:/opt/gnome/share/"
else
    export XDG_DATA_DIRS="$XDG_DATA_DIRS:/opt/gnome/share/"
fi' >> $RPM_BUILD_ROOT/etc/profile.d/gnome-filesystem.sh
    echo 'if ( ${?XDG_DATA_DIRS} ) then
    setenv XDG_DATA_DIRS ${XDG_DATA_DIRS}:/opt/gnome/share/
else
    setenv XDG_DATA_DIRS /usr/local/share/:/usr/share/:/etc/opt/kde3/share/:/opt/kde3/share/:/opt/gnome/share/
endif' >> $RPM_BUILD_ROOT/etc/profile.d/gnome-filesystem.csh
fi
if ! echo $XDG_CONFIG_DIRS | grep -q /etc/opt/gnome/xdg ; then
    echo 'if test -z "$XDG_CONFIG_DIRS" ; then
    export XDG_CONFIG_DIRS="/usr/local/etc/xdg/:/etc/xdg/:/etc/opt/gnome/xdg/"
else
    export XDG_CONFIG_DIRS="$XDG_CONFIG_DIRS:/etc/opt/gnome/xdg/"
fi' >> $RPM_BUILD_ROOT/etc/profile.d/gnome-filesystem.sh
    echo 'if ( ${?XDG_CONFIG_DIRS} ) then
    setenv XDG_CONFIG_DIRS ${XDG_CONFIG_DIRS}:/etc/opt/gnome/xdg/
else
    setenv XDG_CONFIG_DIRS /usr/local/etc/xdg/:/etc/xdg/:/etc/opt/gnome/xdg/
endif' >> $RPM_BUILD_ROOT/etc/profile.d/gnome-filesystem.csh
fi
# Define search path for automake
mkdir -p $RPM_BUILD_ROOT/usr/share/aclocal/dirlist.d
echo /opt/gnome/share/aclocal >$RPM_BUILD_ROOT/usr/share/aclocal/dirlist.d/gnome-filesystem
cd $RPM_BUILD_ROOT/opt/gnome/share/mime
touch XMLnamespaces aliases globs magic subclasses
# NOTE: There is no need to call update-mime-database /opt/gnome/share/mime
# scriptlet - directory is empty by default and packages call it, if required.

%post
# Create temporary SuSEconfig script.
#
# This file should not be a part of RPM file list, because it deletes
# itself after run.
#
# Is it an update from SuSE Linux version, which did not care about RPM
# directory ownership (SuSE Linux < 9.0)?
if [ "$1" = "1" -a -f /var/lib/YaST2/update_mode ] ; then
    EXPENSIVE_CLEANUP=true
else
    EXPENSIVE_CLEANUP=false
fi
cat >sbin/conf.d/SuSEconfig.zzzgnome-filesystem <<GEOF
#! /bin/sh
#
# Purge bad stuff kept by packages now belonging to /opt/gnome from old
# versions of SuSE Linux < 9.0, SLES < 9 and SLEC 8.
#
# NOTE: This script requires find, mktemp, mail and coreutils installed.
#
# There is no fix related to SuSE Linux >= 9.0, SLES9, NLD nor SuSE.
# This script and related fixes can go away for NLD 11, SLES 11.
# This script should also go away, if this package will be update via
# Online Update.
# For next releases up to end of SuSE Linux 10.0, NLD 10, SLES 10
# upgrade guarantee cycle, it should be replaced by following scriptlet:
# %%pre
# rm -rf var/adm/backup/GNOME
# rm -rf var/log/YaST2/gnome-preinstall.log var/log/YaST2/gnome-postinstall.log
#
# There are related fixes in following packages:
# gconf2
# gstreamer
# pango
# gtk2
# RealPlayer
# gnome2-SuSE, gnome2-NLD (have a fix for SLES 9, NLD 9 and SuSE Linux <= 10.0)
#
# Why zzz*: Run this script as last in order. Because everything is
# updated, old packages are gone.
#
# Purge GConf database and remove obsolete and orphan GNOME
# directories and files.
#
# NOTE: This script requires find and coreutils installed.
#
shopt -s nullglob
#
# These files and directories are obsolete, and should be removed with its contents.
for DIR in \
/etc/opt/gnome/SuSE \
/etc/opt/gnome/share/gnome/distribution-menus \
/etc/opt/gnome/SuSE-quickmenu \
/etc/opt/gnome/X11/applnk \
/opt/gnome2/share/dist/installed_schemas_su \
/usr/share/themes/REMOVE_IN_PROGRESS \
/var/log/YaST2/gnome-preinstall.log \
/var/log/YaST2/gnome-postinstall.log
  do
  rm -rfv "\$r\$DIR"
done
#
# Symlinks to /usr/share/themes in this directory are obsolete
# (created in 8.2 by gtk YOU).
find 2>/dev/null \$r/opt/gnome2/share/themes -type l -exec sh -c "if ls -l \"{}\" | sed 's/.*-> //' | fgrep usr/share/themes ; then rm -v \"{}\" ; fi" \;
#
if $EXPENSIVE_CLEANUP ; then
#
TRASH=\$r/var/adm/backup/GNOME
TEMP=\$(mktemp -d /tmp/tmp.gnome-postinstall.XXXXXX) || { echo "could not create temp dir" >&2; exit 1; }
echo -n "" >\$TEMP/list
#
# User does not care about saved files and didn't anything with them
# since last installation. Remove it!
if test -d \$TRASH
then
    rm -rfv \$TRASH
fi
#
# These directories should be inspected for empty sub-directories,
# not owned by any package.
for DIR in \
/etc/opt/gnome \
/opt/gnome
  do
  echo >\$TEMP/found
  while test -f \$TEMP/found
    do
    rm \$TEMP/found
    find 2>/dev/null "\$r\$DIR" -empty -type d -exec sh -c "
	if ! rpm >/dev/null --quiet -qf \"{}\"
	then
	    echo >\$TEMP/found
	    rmdir -v \"{}\"
	fi
    " \;
  done
done
#
function mvtrash {
    mkdir -p \$TRASH
    cat >\$TRASH/README <<EOF
THIS DIRECTORY CONTAINS OBSOLETE DIRECTORIES AND SHOULD BE REMOVED!!!
Filesystem hierarchy was significantly changed in SuSE Linux 9.0 and
all GNOME/GTK related programs now reside in /opt/gnome.
Please check if there is anything useful and then remove this
directory.
GNOME themes can be simply moved to /opt/gnome/share/themes, all other
programs must be re-installed.
Your SuSE GNOME team
EOF
    mkdir -p "\$TRASH/\${1%%/*}"
    mv -v "\$r\$1" "\$TRASH/\${1%%/*}"
}
#
# These directories are obsolete and should be removed.
for DIR in \
/etc/gtk-2.0 \
/etc/opt/gnome2 \
/etc/pango \
/opt/gnome2 \
/usr/include/gtk-xmhtml \
/usr/%_lib/gtk-2.0 \
/usr/%_lib/orbit-2.0 \
/usr/%_lib/pango \
/usr/share/gnome \
/usr/share/gtk-doc \
/var/opt/gnome2 \
/var/opt/gnome2/cache
do
  echo >\$TEMP/found
  while test -f \$TEMP/found
  do
    rm \$TEMP/found
    if ! test -d "\$r\$DIR"
    then
      continue
    fi
    rm -f "\$r\$DIR"/REMOVE_IN_PROGRESS
    find 2>/dev/null "\$r\$DIR" -empty -type d -exec sh -c "
	echo >\$TEMP/found
	rmdir -v \"{}\"
      " \;
  done
  if test -d "\$r\$DIR"
  then
      echo "Directory \$DIR should be empty, moving to \$TRASH!"
      echo "\$DIR" >>\$TEMP/list
      mvtrash "\$r\$DIR"
  fi
done
#
if test ! -z "\`cat \$TEMP/list\`"
then
    echo "Sending warning to root."
    mail -s "WARNING: GNOME purge after SuSE Linux upgrade" root <<EOF
Hallo SuSE Linux user.
Filesystem hierarchy was significantly changed in SuSE Linux 9.0 and
all GNOME/GTK related programs now reside in /opt/gnome.
Following directories was removed from live system and moved to
\$TRASH:
\`cat \$TEMP/list\`
Please check if there is anything useful and then remove them.
GNOME themes can be simply moved to /opt/gnome/share/themes, all other
programs must be re-installed.
Your SuSE GNOME team
EOF
fi
#
rm -r \$TEMP
#
fi
#
# Everything is done and this script will be never more needed.
rm \$r/sbin/conf.d/SuSEconfig.zzzgnome-filesystem
GEOF
chmod +x sbin/conf.d/SuSEconfig.zzzgnome-filesystem

%postun
# Nobody started SuSEconfig after installation.
# Remove orphan temporary SuSEconfig script.
rm -f sbin/conf.d/SuSEconfig.zzzgnome-filesystem <<GEOF

%files -f gnome-filesystem.lst
%defattr(-,root,root)
/etc/profile.d/gnome-filesystem.*
/usr/share/aclocal
%ghost /opt/gnome/share/mime/XMLnamespaces
%ghost /opt/gnome/share/mime/aliases
%ghost /opt/gnome/share/mime/globs
%ghost /opt/gnome/share/mime/magic
%ghost /opt/gnome/share/mime/subclasses

%changelog
* Tue Feb 20 2007 - jhargadon@suse.de
- added locale directories for lo
* Tue Jan 09 2007 - ro@suse.de
- added locale directories for bn_IN,dz,gn,mg
* Tue Apr 11 2006 - sbrabec@suse.cz
- Run slow cleanup only if it is really required (#157001).
* Wed Mar 29 2006 - sbrabec@suse.cz
- Added km locale directory.
* Sat Mar 04 2006 - aj@suse.de
- Fix last change so that package builds.
* Fri Mar 03 2006 - rml@suse.de
- Add /opt/gnome/share/gnome/autostart to list of owned directories
* Thu Feb 23 2006 - joeshaw@suse.de
- Add a bunch of locales needed for gnomebaker: bo de_AT de_CH
  de_DE en es_AR es_CO es_CR eu_ES fr_CH it_IT nl_BE st sv_SE urd
  zh
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec 23 2005 - gekker@suse.de
- added fr_CA and fr_FR locales
* Wed Dec 21 2005 - ro@suse.de
- added coreutils prereq
* Wed Dec 21 2005 - jpr@suse.de
- add tg locale
* Tue Dec 20 2005 - ro@suse.de
- added az_IR,br,ia,mi,nso,uz,uz@Latn locales
* Tue Dec 20 2005 - ro@suse.de
- added af,as,li,mr,tk,ug,my_MM,en_US,yo,nb_NO,zu,ka,gt,nl_NL,
  no_nb,pl_PL,se locales
* Mon Dec 19 2005 - gekker@suse.de
- Added ky,or,sr@ije,tl,xh,zh_CN.GB2312, and zh_TW.Big5 locales
* Fri Dec 16 2005 - sbrabec@suse.cz
- Added temporary old version cleanup SuSEconfig script
  (feature #2852).
* Wed Nov 09 2005 - rodrigo@suse.de
- Added /opt/gnome/share/autostart to list of owned directories.
* Mon Sep 05 2005 - gekker@suse.de
- Add hy locale
* Tue Aug 16 2005 - sbrabec@suse.cz
- Added directory for devhelp books.
* Tue Aug 02 2005 - ro@suse.de
- add te locale
* Sat Jun 18 2005 - gekker@suse.de
- Add ku and rw locales
* Mon Jun 13 2005 - sbrabec@suse.cz
- Define XDG environment for older products.
* Tue May 17 2005 - sbrabec@suse.cz
- Added platform independent package support for new pkgconfig
  (#83201).
* Sun Apr 24 2005 - aj@suse.de
- Added rm localedir.
* Wed Apr 20 2005 - sbrabec@suse.cz
- Fixed invalid PKG_CONFIG_PATH on biarch with C-shell (#75695).
* Mon Apr 04 2005 - sbrabec@suse.cz
- Fixed bad setting of INFO_PATH and GNOME2_PATH in csh (#75462).
* Wed Mar 23 2005 - sbrabec@suse.cz
- Removed GNOME1 desktop directories (#73653).
* Mon Mar 21 2005 - sbrabec@suse.cz
- Include files generated by shared-mime-info-0.15.cvs20050321
  (#72797).
* Wed Mar 16 2005 - sbrabec@suse.cz
- Removed no more used control-center-2.0/capplets (#73047).
* Wed Mar 09 2005 - gekker@suse.de
- Added ne localedir
* Thu Mar 03 2005 - gekker@suse.de
- Added gu localedir
* Wed Feb 09 2005 - ro@suse.de
- removed XDG_DATA_DIRS settings again which break KDE completely
  XDG_DATA_DIRS is now set from xdg-enviroment.{sh,csh} from
  package aaa_base
* Sat Feb 05 2005 - gekker@suse.de
- Added ang localedir.
* Wed Feb 02 2005 - sbrabec@suse.cz
- Re-enabled XDG_DATA_DIRS (#50419)
  and shared-mime-info stuff (#44182).
* Fri Jan 21 2005 - clahey@suse.de
- Added pa localedir.
* Thu Oct 21 2004 - ro@suse.de
- fix for rpm3
* Tue Oct 19 2004 - ro@suse.de
- removed no localedir (now nb/nn)
* Thu Oct 14 2004 - sbrabec@suse.cz
- Fixed libexecdir for gnome-applets.
* Tue Oct 12 2004 - sbrabec@suse.cz
- Fixed libexecdir for bi-arch (#47050).
* Wed Aug 25 2004 - sbrabec@suse.cz
- Commented out shared mime info stuff (#44182).
* Wed Aug 25 2004 - sbrabec@suse.cz
- Removed gconf schemas directories (#44225).
* Wed Aug 18 2004 - sbrabec@suse.cz
- Support for shared mime info files in /opt/gnome/share/mime.
* Mon Aug 09 2004 - dobey@suse.de
- Use ACLOCAL_FLAGS instead of non-existant ACLOCAL_PATH
* Tue May 04 2004 - clahey@suse.de
- Added /opt/gnome/share/gnome/vfolders and two extra languages.
* Mon Mar 22 2004 - sbrabec@suse.cz
- Set GNOME2_PATH to simplify integration of /usr/local binaries.
* Wed Mar 17 2004 - sbrabec@suse.cz
- Removed one-time script SuSEconfig.gnome-filesystem - now integrated
  to yast2-update (#36196, #33114).
* Tue Mar 16 2004 - sbrabec@suse.cz
- Fixed %%doc dir creation.
* Tue Mar 16 2004 - sbrabec@suse.cz
- Fixed typo in gconftool-2 path (#36126).
- Fixed %%doc attributes for directories (#33163).
* Mon Mar 15 2004 - sbrabec@suse.cz
- Fixed directory creation order.
* Mon Mar 15 2004 - sbrabec@suse.cz
- FHS 2.3 fix (mandir, infodir, #35821).
* Thu Mar 11 2004 - sbrabec@suse.cz
- Added one-time gconf schemas rebuild of old entries to
  SuSEconfig (#33114).
* Wed Mar 03 2004 - adrian@suse.de
- add /opt/gnome/share/icons/GnomeCrystal
  and /opt/gnome/share/icons/gnome
* Fri Feb 20 2004 - sbrabec@suse.cz
- /opt/gnome/%%_lib/gnome-applets2 renamed to /opt/gnome/%%_lib/gnome-applets.
* Sun Jan 11 2004 - adrian@suse.de
- add %%defattr
* Fri Dec 12 2003 - schwab@suse.de
- SuSEconfig.gnome-filesystem: remove extra mkdir.
* Thu Nov 06 2003 - sbrabec@suse.cz
- Use mktemp for creating of temporary directory instead of $RANDOM
  (bug #32938).
* Mon Sep 29 2003 - sbrabec@suse.cz
- Do not delete /usr/share/themes (bug #31868).
* Wed Sep 17 2003 - sbrabec@suse.cz
- Do not extend PATH, /etc/profile includes /opt/gnome/bin (bug #30844).
* Tue Sep 16 2003 - sbrabec@suse.cz
- Set INFOPATH.
* Tue Sep 16 2003 - ro@suse.de
- create /var/opt first
* Tue Sep 16 2003 - sbrabec@suse.cz
- Added /var/opt/gnome to skeleton.
- SuSEconfig.gnome-filesystem:
  - Force delete old gstreamer registry and installed_schemas_su.
  - In obsolete area don't check for empty directory RPM ownership
  (speed-up).
* Tue Sep 16 2003 - sbrabec@suse.cz
- Added SuSEconfig.gnome-filesystem - post-update purge script.
* Fri Jul 25 2003 - hhetter@suse.de
- use correct csh syntax in gnome-filesystem.csh
  (# 28250)
* Thu Jul 24 2003 - hhetter@suse.de
- added control-center-1 applet directories
* Mon Jul 21 2003 - hhetter@suse.de
- added control-center-2 applet  directories
* Wed Jul 16 2003 - sbrabec@suse.cz
- Added aclocal dirlist support.
* Tue Jul 15 2003 - sbrabec@suse.cz
-Fixed typo in PKG_CONFIG_PATH.
* Mon Jul 14 2003 - sbrabec@suse.cz
- Added aclocal and pkgconfig.
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Thu Jul 10 2003 - sbrabec@suse.cz
- Added directory for backgrounds.
* Fri Jul 04 2003 - ro@suse.de
- added man7/man8 directories in /opt/gnome
* Thu Jun 26 2003 - hhetter@suse.de
- added gconf schema directories
* Wed Jun 25 2003 - sbrabec@suse.cz
- Added symlink for capplets.
* Tue Jun 24 2003 - sbrabec@suse.cz
- Added wm-properties.
* Wed Jun 18 2003 - sbrabec@suse.cz
- Fixed location of themes to /opt/gnome2/share.
* Wed Jun 18 2003 - sbrabec@suse.cz
- Added all official GNOME1 gnome/apps directories.
* Wed Jun 18 2003 - sbrabec@suse.cz
- Added man6 and sgml directories.
- Removed Gnome1 sounds.
- Added compatibility symlinks (deactivated before fixing all packages).
- Moved themes to /usr and created symlink.
* Wed Jun 18 2003 - mmj@suse.de
- Last change was an attempt to compensate for some GNOME2
  packages still using GNOME1 desktop files. It caused a prefix
  clash, and is now removed.
* Tue Jun 17 2003 - mmj@suse.de
- Added two missing apps/ directories
* Fri Jun 13 2003 - sbrabec@suse.cz
- Added /etc stuff.
- Added GNOME2 eo locale.
* Wed Jun 11 2003 - sbrabec@suse.cz
- Created GNOME filesystem hierrarchy skeleton.
